/********************************
//    Wireless control using YODA
//    Receiver Arduino Nano Code
//
********************************/

// For Relay Pin Assignment
const int Relay1Pin = 3;
const int Relay2Pin = 4;

bool Relay1_State = false;
bool Relay2_State = false;

char incomingByte ; //Variable to store the incoming byte

void setup() {
  Serial.begin(9600);
  pinMode(Relay1Pin, OUTPUT);
  pinMode(Relay2Pin, OUTPUT);
  digitalWrite(Relay1Pin, LOW);
  digitalWrite(Relay2Pin, LOW);
  delay(5000);        //delay for Zigbee modules to start/join network
}

void loop() {
  if (Serial.available())  {
    incomingByte = Serial.read(); //Read the incoming byte

    switch (incomingByte)
    {
      case 0x01:
        {
          Relay1_State = !Relay1_State;
          if (true == Relay1_State){
            digitalWrite(Relay1Pin, HIGH);  //Relay 1 Switch ON
          }
          else{
            digitalWrite(Relay1Pin, LOW);  //Relay 1 Switch OFF
          }
          break;
        }

      case 0x02:
        {
          Relay2_State = !Relay2_State;
          if (true == Relay2_State){
            digitalWrite(Relay2Pin, HIGH);  //Relay 2 Switch ON
          }
          else{
            digitalWrite(Relay2Pin, LOW);  //Relay 2 Switch OFF
          }
          break;
        }

      default:
        {
          break;
        }
    }
  }
}
