/***********************************
//   Wireless control using YODA  
//   Transmitter Arduino Nano Code 
//
***********************************/

const int Switch1 = 3; //Switch at D3
const int Switch2 = 4; //Switch at D4

const int Debounce_Delay = 100;

void setup() {
  Serial.begin(9600);

  // initialize the pushbutton pin as an input:
  pinMode(Switch1, INPUT);
  pinMode(Switch2, INPUT);

  delay(5000);        //delay for Zigbee modules to start/join network
}

void loop() {

  if(0 == digitalRead(Switch1))		// If Switch 1 pressed
  {
    delay(Debounce_Delay);
    if(0 == digitalRead(Switch1))
    {
      //Send the message:
      Serial.write(0x4D);
      Serial.write(0x08);
      Serial.write(0xFF);
      Serial.write(0xFF);
      Serial.write(0xFF);
      Serial.write(0x07);
      Serial.write(0x01); //Sending Switch Number
      
      while(0 == digitalRead(Switch1)); //Waiting for release of switch
    }
  }

  if(0 == digitalRead(Switch2))		// If Switch 2 pressed
  {
    delay(Debounce_Delay);
    if(0 == digitalRead(Switch2))
    {
      //Send the message:
      Serial.write(0x4D);
      Serial.write(0x08);
      Serial.write(0xFF);
      Serial.write(0xFF);
      Serial.write(0xFF);
      Serial.write(0x07);
      Serial.write(0x02); //Sending Switch Number
      
      while(0 == digitalRead(Switch2)); //Waiting for release of switch
    }
  }
}
